Qt API | Qtopia API | Qtopia Documentation |

# StyleInterface Class Reference

The StyleInterface class provides an interface for Qtopia widget styles. More...

`#include <qtopia/styleinterface.h>`

List of all member functions.

## Public Members

- virtual QStyle * style () = 0
- virtual QString name () const = 0

## Detailed Description

The StyleInterface class provides an interface for Qtopia widget styles.

Styles may be added to Qtopia via plugins. In order to write a style plugin you must create an interface to your QStyle derived class by deriving from the StyleInterface class and implementing the pure virtual functions.

## Member Function Documentation

### QString StyleInterface::name () const`[pure virtual]`

The name() function returns the name of the style. This will be displayed in the appearance settings dialog.

### QStyle * StyleInterface::style ()`[pure virtual]`

Returns an instance of your style. You should always return the same style instance if this function is called multiple times.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.